Subject: bug#71619: Hermann's comments on ADJSN chap 2

From: Drew Adams <[email-masked]>
Date: Mon, 17 Jun 2024 22:12:38 +0000

I gave some comments to the partitioning section already and are currently looking at chapter 2. I think we should reorder the content slightly and add more content for some of the newer sections, e.g.
*        SODA comment needs to be moved further down. That's json collection specific
*        2.2 should become 2.1 and 2.1 should lead the discussion
*        Current 2.2 should be more specific about JSON as datatype and JSON as collections. There's content towards the end of the section, but it needs to become more prominent.
*        Current 2.1 should discuss both cases: hybrid (with JSON just as a column) and JSON collections. That's where we also should add the SODA notes
*        2.2.* should probably become a new section like 'working with JSON in the database'
Before going down the path and commenting on things I just wanted to throw this out and see whether we should briefly chat about this. Just let me know if you have some time for this today.